For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
      • POSTCreate a folder
      • GETReturns a folder's details
      • PUTUpdate a folder
      • GETGet all folders
      • DELDelete a folder (and all its lists)
      • GETGet lists in a folder
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Contact ManagementFolders

Returns a folder's details

GET
https://api.brevo.com/v3/contacts/folders/:folderId
GET
/v3/contacts/folders/:folderId
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.contacts.getFolder(1);
8}
9main();
1{
2 "id": 1,
3 "name": "Client_Folder",
4 "totalBlacklisted": 987,
5 "totalSubscribers": 16778,
6 "uniqueSubscribers": 17765
7}
<Note>Ongoing changes for this endpoint. We're dropping support for the response attributes totalSubscribers and totalBlacklisted. These are non breaking changes. The default value for the attributes will be 0.</Note>
Was this page helpful?
Previous

Update a folder

Next
Built with
Ongoing changes for this endpoint. We’re dropping support for the response attributes totalSubscribers and totalBlacklisted. These are non breaking changes. The default value for the attributes will be 0.

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Path parameters

folderIdlongRequired
id of the folder

Response

Folder details
idlong
ID of the folder
namestring
Name of the folder
totalBlacklistedlong
Number of blacklisted contacts in the folder
totalSubscriberslong
Number of contacts in the folder
uniqueSubscriberslong
Number of unique contacts in the folder

Errors

400
Bad Request Error
404
Not Found Error